Get Custom Metadata Ingestion Status

Prev Next
Get
/api/v1/DataSteward/data-sources/{dataSourceId}/custom-metadata/{taskKey}

Returns the status of a specified custom metadata ingestion

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

Id of the data source being refreshed

taskKey
stringRequired

Key of the custom ingestion being checked

Responses
200

OK

Expand All
object
levels
Array of object (Configuration.Api.Models.v1.CustomIngestLevelResult) | null
object
dateStarted
string (date-time)
dateCompleted
string (date-time) | null
status
object (Configuration.Api.Models.v1.Common.KeyValue)
id
integer (int32)

The object's ID

name
string | null

The object's name

objectType
object (Configuration.Api.Models.v1.Common.KeyValue)
id
integer (int32)

The object's ID

name
string | null

The object's name

script
string | null
addedCount
integer (int32)
modifiedCount
integer (int32)
deletedCount
integer (int32)
skippedCount
integer (int32)
hasError
boolean
exceptionJson
string | null
exceptionMessage
string | null
resultErrors
Array of object (Configuration.Api.Models.v1.Common.FileError) | null
object
row
integer (int32) | null
column
string | null
description
string | null
importResult
object (Configuration.Api.Models.v1.ImportResult)
fileKey
string | null
filename
string | null
dataSourceId
integer (int32)
modelErrors
Array of object (Configuration.Api.Models.v1.Common.ModelError) | null
object
propertyName
string | null
description
string | null
finished
boolean
taskKey
string | null
exception
string | null
connectionCategory
object (Configuration.Api.Models.v1.Common.KeyValue)
id
integer (int32)

The object's ID

name
string | null

The object's name

404

Not Found

object
error
string | null